Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.itl.cas
Class TextExtractionConfig

    java.lang.Object
      com.endeca.itl.cas.TextExtractionConfig

All Implemented Interfaces:
  java.io.Serializable

    public class TextExtractionConfig

extends java.lang.Object
implements java.io.Serializable

Text extraction Config allow a client to specify extraction-specific parameters to override default values. These include: (1) enabled: boolean indicating that extraction should be performed; (2) makeLocalCopy: boolean indicating whether files should be copied to a local temporary directory before text is extracted from them; (3) localCopyDir: path to the local directory where files should be copied before text extraction is performed; (4) attempts: number of times to try performing a text extraction; (5) timeout: number of seconds to wait between attempts.

See Also:
  Serialized Form

Constructor Summary
`TextExtractionConfig()`
`TextExtractionConfig(java.lang.Boolean enabled, java.lang.Boolean makeLocalCopy, FilePath localCopyDir, org.apache.axis.types.PositiveInteger attempts, org.apache.axis.types.PositiveInteger timeout)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`org.apache.axis.types.PositiveInteger` | `getAttempts()` Gets the attempts value for this TextExtractionConfig.
`static org.apache.axis.encoding.Deserializer` | `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Deserializer
`java.lang.Boolean` | `getEnabled()` Gets the enabled value for this TextExtractionConfig.
`FilePath` | `getLocalCopyDir()` Gets the localCopyDir value for this TextExtractionConfig.
`java.lang.Boolean` | `getMakeLocalCopy()` Gets the makeLocalCopy value for this TextExtractionConfig.
`static org.apache.axis.encoding.Serializer` | `getSerializer(java.lang.String mechType, java.lang.Class _javaType, javax.xml.namespace.QName _xmlType)` Get Custom Serializer
`org.apache.axis.types.PositiveInteger` | `getTimeout()` Gets the timeout value for this TextExtractionConfig.
`static org.apache.axis.description.TypeDesc` | `getTypeDesc()` Return type metadata object
`int` | `hashCode()`
`void` | `setAttempts(org.apache.axis.types.PositiveInteger attempts)` Sets the attempts value for this TextExtractionConfig.
`void` | `setEnabled(java.lang.Boolean enabled)` Sets the enabled value for this TextExtractionConfig.
`void` | `setLocalCopyDir(FilePath localCopyDir)` Sets the localCopyDir value for this TextExtractionConfig.
`void` | `setMakeLocalCopy(java.lang.Boolean makeLocalCopy)` Sets the makeLocalCopy value for this TextExtractionConfig.
`void` | `setTimeout(org.apache.axis.types.PositiveInteger timeout)` Sets the timeout value for this TextExtractionConfig.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextExtractionConfig

    public TextExtractionConfig()

### TextExtractionConfig

    public TextExtractionConfig(java.lang.Boolean enabled,
                                java.lang.Boolean makeLocalCopy,
                                FilePath localCopyDir,
                                org.apache.axis.types.PositiveInteger attempts,
                                org.apache.axis.types.PositiveInteger timeout)

Method Detail

### getEnabled

    public java.lang.Boolean getEnabled()

  Gets the enabled value for this TextExtractionConfig.

  Returns:
    enabled

### setEnabled

    public void setEnabled(java.lang.Boolean enabled)

  Sets the enabled value for this TextExtractionConfig.

  Parameters:
    `enabled` -

### getMakeLocalCopy

    public java.lang.Boolean getMakeLocalCopy()

  Gets the makeLocalCopy value for this TextExtractionConfig.

  Returns:
    makeLocalCopy

### setMakeLocalCopy

    public void setMakeLocalCopy(java.lang.Boolean makeLocalCopy)

  Sets the makeLocalCopy value for this TextExtractionConfig.

  Parameters:
    `makeLocalCopy` -

### getLocalCopyDir

    public FilePath getLocalCopyDir()

  Gets the localCopyDir value for this TextExtractionConfig.

  Returns:
    localCopyDir

### setLocalCopyDir

    public void setLocalCopyDir(FilePath localCopyDir)

  Sets the localCopyDir value for this TextExtractionConfig.

  Parameters:
    `localCopyDir` -

### getAttempts

    public org.apache.axis.types.PositiveInteger getAttempts()

  Gets the attempts value for this TextExtractionConfig.

  Returns:
    attempts

### setAttempts

    public void setAttempts(org.apache.axis.types.PositiveInteger attempts)

  Sets the attempts value for this TextExtractionConfig.

  Parameters:
    `attempts` -

### getTimeout

    public org.apache.axis.types.PositiveInteger getTimeout()

  Gets the timeout value for this TextExtractionConfig.

  Returns:
    timeout

### setTimeout

    public void setTimeout(org.apache.axis.types.PositiveInteger timeout)

  Sets the timeout value for this TextExtractionConfig.

  Parameters:
    `timeout` -

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTypeDesc

    public static org.apache.axis.description.TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static org.apache.axis.encoding.Serializer getSerializer(java.lang.String mechType,
                                                                    java.lang.Class _javaType,
                                                                    javax.xml.namespace.QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static org.apache.axis.encoding.Deserializer getDeserializer(java.lang.String mechType,
                                                                        java.lang.Class _javaType,
                                                                        javax.xml.namespace.QName _xmlType)

  Get Custom Deserializer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Content Acquisition System Web Service Stubs 3.2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, 2012, Oracle and/or its affiliates. All rights reserved.

    @VERSION
    PRODUCT: Content Acquisition System Web Service Stubs (casStubs)
    VERSION: 3.2.2
    BUILD:   NONEDEV
    ARCH_OS: n/a
    DATE:    2012-02-28T13:13:19-0500